# Gimp.Item.id_is_layer

    @accepts(int)
    @returns(bool)
    def id_is_layer(item_id):
        # Python wrapper for gimp_item_id_is_layer()

Returns whether the item ID is a layer.

This procedure returns True if the specified item ID is a layer.

*Note*: in most use cases, you should not use this function. If the goal is to verify the accurate type for a [class@Gimp.Item], you should either use [method@Gimp.Item.is_layer] or the specific type-checking methods for the used language.

For instance, in C:

```C if (GIMP_IS_LAYER (item)) do_something (); ```

Or in the Python binding, you could run:

```py3 if isinstance(item, Gimp.Layer): do_something() ```

Since 3.0

item_id

  The item ID.

Returns